body{
    background-color: #f2f2f2;
    font-family:Arial;
    padding: 2rem;
}
.calculator{
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 2px rgba(0,0,0, 0.3);
  margin: 3rem auto;
  max-width: 500px;
  padding: 1.6rem;
}
h2{
    text-align: center;
}
label{
    display: block;
    font-weight: bold;
    margin: 0.5rem 0;
}
input,select{
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-bottom: 0.6rem;
    padding: 0.6rem;
    width: 100%;
}
button{
    background-color: #4caf50;
    border: none;
    border-radius: 4px;
    color: #fff;
    cursor: pointer;
    margin-bottom: 0.5rem;
    padding: 0.8rem;
    width: 100%;
    transition: .4s;
}
button:hover{
    background-color: #3e8e41;
}

input:disabled{
    background-color: #f2f2f2;
    color: #777;
}